org.apache.tapestry5.internal.jpa

## Class NoopInjectionTarget<T>

- java.lang.Object
- - org.apache.tapestry5.internal.jpa.NoopInjectionTarget<T>

- All Implemented Interfaces:
    InjectionTarget<T>, Producer<T>

      public class NoopInjectionTarget<T>
      extends Object
      implements InjectionTarget<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopInjectionTarget()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose(T instance)`
    `Set<InjectionPoint>` | `getInjectionPoints()`
    `void` | `inject(T instance, CreationalContext<T> ctx)`
    `void` | `postConstruct(T instance)`
    `void` | `preDestroy(T instance)`
    `T` | `produce(CreationalContext<T> ctx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoopInjectionTarget

          public NoopInjectionTarget()

  - ### Method Detail

    - #### produce

          public T produce(CreationalContext<T> ctx)

      Specified by:
        `produce` in interface `Producer<T>`

    - #### dispose

          public void dispose(T instance)

      Specified by:
        `dispose` in interface `Producer<T>`

    - #### getInjectionPoints

          public Set<InjectionPoint> getInjectionPoints()

      Specified by:
        `getInjectionPoints` in interface `Producer<T>`

    - #### inject

          public void inject(T instance,
                             CreationalContext<T> ctx)

      Specified by:
        `inject` in interface `InjectionTarget<T>`

    - #### postConstruct

          public void postConstruct(T instance)

      Specified by:
        `postConstruct` in interface `InjectionTarget<T>`

    - #### preDestroy

          public void preDestroy(T instance)

      Specified by:
        `preDestroy` in interface `InjectionTarget<T>`

5.6.1 - Copyright © 2003-2020 The Apache Software Foundation.